Page MenuHomePhabricator

[docs][llvm-symbolizer] Improve llvm-symbolizer documentation
ClosedPublic

Authored by jhenderson on Jun 21 2019, 7:58 AM.

Details

Summary

As detailed in https://bugs.llvm.org/show_bug.cgi?id=42253, there were a number of issues in the llvm-symbolizer documentation. This patch fixes them by:

  1. Adding [addresses...] to the synopsis.
  2. Rewriting the description to fix grammar issues and mention other usage options.
  3. Rewrite the examples to be easier to read.
  4. Re-order the options into alphabetical order.
  5. Improve the text of some of the option descriptions, and added some more examples.
  6. Split the Mach-O options into a separate section of the document.
  7. Standardized on double dashes for long options throughout the file.
  8. Added a reference to the llvm-addr2line document.

Diff Detail

Repository
rL LLVM

Event Timeline

jhenderson created this revision.Jun 21 2019, 7:58 AM
Herald added a project: Restricted Project. · View Herald TranscriptJun 21 2019, 7:58 AM
mtrent accepted this revision.Jun 24 2019, 6:17 AM

I wonder why the Mach-O specific commands are unlike that of other utilities ... In any case, these changes look fine.

This revision is now accepted and ready to land.Jun 24 2019, 6:17 AM

I wonder why the Mach-O specific commands are unlike that of other utilities ... In any case, these changes look fine.

Unlike in what way? Separated in the doc or something else?

ikudrin added inline comments.Jun 24 2019, 10:55 PM
docs/CommandGuide/llvm-symbolizer.rst
75

Some symbols are printed with parentheses, and some without them. I know that it is how demangling works, but it looks a bit confusing. Do you think it worth adding some explanation about that here?

Add extra notes to explain demangling differences a bit.

ikudrin accepted this revision.Jun 25 2019, 10:06 PM

Thanks!

This revision was automatically updated to reflect the committed changes.